org.richfaces.component.html

## Enum HtmlInputNumberSpinner.Properties

- java.lang.Object
- - java.lang.Enum<HtmlInputNumberSpinner.Properties>
  - - org.richfaces.component.html.HtmlInputNumberSpinner.Properties

- All Implemented Interfaces:
    Serializable, Comparable<HtmlInputNumberSpinner.Properties>
  Enclosing class:
    HtmlInputNumberSpinner

      protected static enum HtmlInputNumberSpinner.Properties
      extends Enum<HtmlInputNumberSpinner.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `cycled`
    `dir`
    `disabled`
    `enableManualInput`
    `inputClass`
    `inputPosition`
    `inputSize`
    `label`
    `lang`
    `maxValue`
    `minValue`
    `onblur`
    `onchange`
    `onclick`
    `ondblclick`
    `ondownclick`
    `onfocus`
    `oninputclick`
    `oninputdblclick`
    `oninputkeydown`
    `oninputkeypress`
    `oninputkeyup`
    `oninputmousedown`
    `oninputmousemove`
    `oninputmouseout`
    `oninputmouseover`
    `oninputmouseup`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onselect`
    `onupclick`
    `readonly`
    `step`
    `style`
    `styleClass`
    `tabindex`
    `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HtmlInputNumberSpinner.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlInputNumberSpinner.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final HtmlInputNumberSpinner.Properties accesskey

    - #### cycled

          public static final HtmlInputNumberSpinner.Properties cycled

    - #### dir

          public static final HtmlInputNumberSpinner.Properties dir

    - #### disabled

          public static final HtmlInputNumberSpinner.Properties disabled

    - #### enableManualInput

          public static final HtmlInputNumberSpinner.Properties enableManualInput

    - #### inputClass

          public static final HtmlInputNumberSpinner.Properties inputClass

    - #### inputPosition

          public static final HtmlInputNumberSpinner.Properties inputPosition

    - #### inputSize

          public static final HtmlInputNumberSpinner.Properties inputSize

    - #### label

          public static final HtmlInputNumberSpinner.Properties label

    - #### lang

          public static final HtmlInputNumberSpinner.Properties lang

    - #### maxValue

          public static final HtmlInputNumberSpinner.Properties maxValue

    - #### minValue

          public static final HtmlInputNumberSpinner.Properties minValue

    - #### onblur

          public static final HtmlInputNumberSpinner.Properties onblur

    - #### onchange

          public static final HtmlInputNumberSpinner.Properties onchange

    - #### onclick

          public static final HtmlInputNumberSpinner.Properties onclick

    - #### ondblclick

          public static final HtmlInputNumberSpinner.Properties ondblclick

    - #### ondownclick

          public static final HtmlInputNumberSpinner.Properties ondownclick

    - #### onfocus

          public static final HtmlInputNumberSpinner.Properties onfocus

    - #### oninputclick

          public static final HtmlInputNumberSpinner.Properties oninputclick

    - #### oninputdblclick

          public static final HtmlInputNumberSpinner.Properties oninputdblclick

    - #### oninputkeydown

          public static final HtmlInputNumberSpinner.Properties oninputkeydown

    - #### oninputkeypress

          public static final HtmlInputNumberSpinner.Properties oninputkeypress

    - #### oninputkeyup

          public static final HtmlInputNumberSpinner.Properties oninputkeyup

    - #### oninputmousedown

          public static final HtmlInputNumberSpinner.Properties oninputmousedown

    - #### oninputmousemove

          public static final HtmlInputNumberSpinner.Properties oninputmousemove

    - #### oninputmouseout

          public static final HtmlInputNumberSpinner.Properties oninputmouseout

    - #### oninputmouseover

          public static final HtmlInputNumberSpinner.Properties oninputmouseover

    - #### oninputmouseup

          public static final HtmlInputNumberSpinner.Properties oninputmouseup

    - #### onkeydown

          public static final HtmlInputNumberSpinner.Properties onkeydown

    - #### onkeypress

          public static final HtmlInputNumberSpinner.Properties onkeypress

    - #### onkeyup

          public static final HtmlInputNumberSpinner.Properties onkeyup

    - #### onmousedown

          public static final HtmlInputNumberSpinner.Properties onmousedown

    - #### onmousemove

          public static final HtmlInputNumberSpinner.Properties onmousemove

    - #### onmouseout

          public static final HtmlInputNumberSpinner.Properties onmouseout

    - #### onmouseover

          public static final HtmlInputNumberSpinner.Properties onmouseover

    - #### onmouseup

          public static final HtmlInputNumberSpinner.Properties onmouseup

    - #### onselect

          public static final HtmlInputNumberSpinner.Properties onselect

    - #### onupclick

          public static final HtmlInputNumberSpinner.Properties onupclick

    - #### readonly

          public static final HtmlInputNumberSpinner.Properties readonly

    - #### step

          public static final HtmlInputNumberSpinner.Properties step

    - #### style

          public static final HtmlInputNumberSpinner.Properties style

    - #### styleClass

          public static final HtmlInputNumberSpinner.Properties styleClass

    - #### tabindex

          public static final HtmlInputNumberSpinner.Properties tabindex

    - #### title

          public static final HtmlInputNumberSpinner.Properties title

  - ### Method Detail

    - #### values

          public static HtmlInputNumberSpinner.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlInputNumberSpinner.Properties c : HtmlInputNumberSpinner.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlInputNumberSpinner.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.